<?php

include_once __DIR__ . '/../../../main.php';     # 导入game utils
include_once __DIR__ . '/../Mo/payResp.php';        # 导入通用返回值结构
require_once __DIR__ . '/config.1sdk.php';       # 配置文件, Ps. 里面用到了object

use loyalsoft\CLog;
use loyalsoft\JsonUtil;
use loyalsoft\HttpUtil;

//HttpUtil::PostOnly();                          # 要求客户端必须以post方式提交数据



/** 客户端需要传的参数
  $params = array(
  'sdk' => '',
  'app' => '',
  'uin' => '',
  'sess' => ''
  );
 */
try {
    $str = HttpUtil::getQueryString();
    //    $str = gzinflate($str);
    $params = JsonUtil::decode($str);                                           # 提取参数
    $cfg = config_for_1sdk::Inst();                                             # 配置
    $ret = HttpUtil::makeRequest($cfg->verifySession_url, $params, array(), array(), 'get'); # 发送请求,直接转发客户端参数
    CLog::warn('易接: 登录验证' . HttpUtil::makeQueryString($params));
    if ($ret['result']) {                                                       # 结果
        if ($ret['msg'] == 0) {                                                 # 0 代表登录成功, -1代表失败
            echo payResp::ok($ret);                                                # 直接打印结果
        } else {
            CLog::err('易接: 登录验证失败');
            echo payResp::err($ret['msg'], '未登录');
        }
    }
} catch (Exception $ex) {
    echo payResp::err($ex->getCode(), $ex->getMessage());                          # 返回异常信息
}



